#!/bin/sh

if [ -e /etc/UnitedLinux-release ] ; then
  echo "Using UnitedLinux makefile"
  MAKEFILE=linux.ul.mk
else
  echo "Using Redhat/SLES7 makefile"
  MAKEFILE=linux.rh.mk
fi

cd kmd || exit 1
make -f $MAKEFILE clean || exit 1
make -f $MAKEFILE || exit 1
cp -f current/hpdvmkd.o .. || exit 1
cd ..
